/****************************************************************************************
* Arduino Due pin assignment
*
* for a hacked RAMPS1.4 (check RepRap.org wiki)
* 
* by AndrewBCN - Barcelona - March 2015
****************************************************************************************/

#define X_STEP_PIN_ORIGIN         54
#define X_DIR_PIN_ORIGIN          55
#define X_ENABLE_PIN_ORIGIN       38

#define Y_STEP_PIN_ORIGIN         60
#define Y_DIR_PIN_ORIGIN          61
#define Y_ENABLE_PIN_ORIGIN       56

#define DIR_STD_XY

#ifdef DIR_STD_XY
	#define X_STEP_PIN 				X_STEP_PIN_ORIGIN
	#define X_DIR_PIN				X_DIR_PIN_ORIGIN
	#define X_ENABLE_PIN			X_ENABLE_PIN_ORIGIN
	
	#define Y_STEP_PIN				Y_STEP_PIN_ORIGIN
	#define Y_DIR_PIN				Y_DIR_PIN_ORIGIN
	#define Y_ENABLE_PIN			Y_ENABLE_PIN_ORIGIN
#endif
#ifdef DIR_STD_YX
	#define X_STEP_PIN 				Y_STEP_PIN_ORIGIN
	#define X_DIR_PIN				Y_DIR_PIN_ORIGIN
	#define X_ENABLE_PIN			Y_ENABLE_PIN_ORIGIN
	
	#define Y_STEP_PIN				X_STEP_PIN_ORIGIN
	#define Y_DIR_PIN				X_DIR_PIN_ORIGIN
	#define Y_ENABLE_PIN			X_ENABLE_PIN_ORIGIN
#endif

#define Z_STEP_PIN         46
#define Z_DIR_PIN          48
#define Z_ENABLE_PIN       62

#define X_MIN_PIN          3
#define X_MAX_PIN          2    // 2    //Max endstops default to disabled "-1", set to commented value to enable.
#define Y_MIN_PIN          14
#define Y_MAX_PIN          15   // 15
#define Z_MIN_PIN          18
#define Z_MAX_PIN          19   // 19

#define E0_STEP_PIN        26
#define E0_DIR_PIN         28
#define E0_ENABLE_PIN      24

#define E1_STEP_PIN        36
#define E1_DIR_PIN         34
#define E1_ENABLE_PIN      30

// #define E2_STEP_PIN        51
// #define E2_DIR_PIN         53
// #define E2_ENABLE_PIN      49

#define SDPOWER            -1

#define LED_PIN            13

#define FAN_PIN            9

#define PS_ON_PIN          12

#define HEATER_BED_PIN     8    // BED
#define HEATER_0_PIN       10
#define HEATER_1_PIN       -1
#define HEATER_2_PIN       -1

#define TEMP_BED_PIN       63   // ANALOG NUMBERING
#define TEMP_0_PIN         64   // ANALOG NUMBERING
#define TEMP_1_PIN         -1  // 1   // ANALOG NUMBERING
#define TEMP_2_PIN         -1  // 2   // ANALOG NUMBERING
#define TEMP_3_PIN         -1  // 3   // ANALOG NUMBERING

#ifdef REPRAP_DISCOUNT_SMART_CONTROLLER
  #define KILL_PIN         41
  #define BEEPER           37
  #define BTN_EN1          31
  #define BTN_EN2          33
  #define BTN_ENC          35
  #define LCD_PINS_RS 16
  #define LCD_PINS_ENABLE 17
  #define LCD_PINS_D4 23
  #define LCD_PINS_D5 25
  #define LCD_PINS_D6 27
  #define LCD_PINS_D7 29
#endif
/*
  #ifdef NUM_SERVOS
    #define SERVO0_PIN         5

    #if NUM_SERVOS > 1
      #define SERVO1_PIN         6
    #endif

    #if NUM_SERVOS > 2
      #define SERVO2_PIN         39
    #endif

    #if NUM_SERVOS > 3
      #define SERVO3_PIN         40
    #endif
  #endif
*/

/*
#ifdef ULTRA_LCD

	// RADDS LCD panel
	#ifdef NEWPANEL
	  #define LCD_PINS_RS 		42
	  #define LCD_PINS_ENABLE 	43
	  #define LCD_PINS_D4 		44
	  #define LCD_PINS_D5 		45
	  #define LCD_PINS_D6 		46
	  #define LCD_PINS_D7 		47

	  #ifdef RADDS_DISPLAY
			#define BEEPER 41

			#define BTN_EN1 50
			#define BTN_EN2 52
			#define BTN_ENC 48
			
			#define BTN_BACK 71

			#undef SDSS
			#define SDSS  10
			#define SDCARDDETECT 14
	  #endif
	#endif

#endif //ULTRA_LCD
*/

// SPI for Max6675 Thermocouple

//works with radds??? #ifndef SDSUPPORT
//// these pins are defined in the SD library if building with SD support
//  #define MAX_SCK_PIN          52
//  #define MAX_MISO_PIN         50
//  #define MAX_MOSI_PIN         51
//  #define MAX6675_SS       53
//#else
//  #define MAX6675_SS       49
//#endif
